Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class WriteAccessRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.WriteAccessRecord

    public final class WriteAccessRecord

extends StandardRecord

Title: Write Access Record (0x005C)

Description: Stores the username of that who owns the spreadsheet generator (on unix the user's login, on Windoze its the name you typed when you installed the thing)

REFERENCE: PG 424 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` | `sid`

Constructor Summary
`WriteAccessRecord()`
`WriteAccessRecord(RecordInputStream in)`

Method Summary
`protected int` | `getDataSize()`
`short` | `getSid()` return the non static version of the id for this record.
`java.lang.String` | `getUsername()` get the username for the user that created the report.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setUsername(java.lang.String username)` set the username for the user that created the report.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### WriteAccessRecord

    public WriteAccessRecord()

### WriteAccessRecord

    public WriteAccessRecord(RecordInputStream in)

Method Detail

### setUsername

    public void setUsername(java.lang.String username)

  set the username for the user that created the report. HSSF uses the logged in user.

  Parameters:
    `username` - of the user who is logged in (probably "tomcat" or "apache")

### getUsername

    public java.lang.String getUsername()

  get the username for the user that created the report. HSSF uses the logged in user. On natively created M$ Excel sheet this would be the name you typed in when you installed it in most cases.

  Returns:
    username of the user who is logged in (probably "tomcat" or "apache")

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.